# CXXRTL-based simulator.
# Uses SDL2 + black-box network stack to simulate the entire design.


# Tasks:
# Generate header with network port information
# black box the UDP streaming.
# provide code for display outputs to render onto SDL2 canvas.
# compile code (optionally)
from amaranth.back import cxxrtl
from amaranth import Module

from groovylight import hub75



def emit_cxxrtl(config):
    m = Module()
    m.submodules.coordinator = crd = hub75.Hub75Coordinator(config.geom)
    cxxrtl.convert(m, ports=[])


